<?php
session_start();
include("forb.php");
include("check.php");
include("menu.php");
$q = mysql_query("SELECT * FROM ting_butik WHERE id = '$_GET[id]'") or die(mysql_error());
while($look = mysql_fetch_array($q)) {
if($look[lukket] == '1'){
print "Torvet har desværre lukket!<br>Hvis du menere dette er en fejl, bedes du skrive i tagwallen!";
}else{
$q1 = mysql_query("SELECT * FROM ting_butik WHERE id = '$_GET[id]'") or die(mysql_error());
while($vis = mysql_fetch_array($q1)) {
if($vis[lager] == '0'){
print "Der er ikke flere eksemplare af denne ting";
}else{
$q2 = mysql_query("select * from brugere where brugernavn = '$_SESSION[Brugernavn]'");
$se = mysql_fetch_array($q2);
if($se[point] < $vis[pris]){
print "Du har ikke råd.";
}else{
if($se[level] < $vis[kraever_level]){
print "Du er ikke i højt nok level.";
}else{
mysql_query("UPDATE brugere SET Point = Point - '$vis[pris]' WHERE brugernavn = '$_SESSION[Brugernavn]'");
mysql_query("UPDATE ting_butik SET lager = lager - '1' WHERE id = '$_GET[id]'");
mysql_query("INSERT INTO koebte_t (kraever_level, navn, billede, ejer, aktie, aktie2) VALUES ('$vis[kraever_level]', '$vis[navn]', '$vis[billede]', '$_SESSION[Brugernavn]', '$vis[aktie]', '$vis[aktie2]')") or die(mysql_error());
print "Du har nu købt <b>$vis[navn]</b> til <b>$vis[pris]</b> Mønter.";
}
}
}
}
}
}
?>